jQuery(document).ready(function()
{
	"use strict";
	jQuery('.wcas-sales-progress-controller').each(function(index, elem)
	{
		
		var current_id = jQuery(elem).data('id');
		jQuery("#wcas-progress-bar-background-"+current_id).css('background', wcas_sales_progress[current_id].sales_progress_bar_background_color);
		jQuery("#wcas-progress-bar-"+current_id).css('background', wcas_sales_progress[current_id].sales_progress_bar_color);
		jQuery("#wcas-progress-bar-"+current_id).css('width', wcas_sales_progress[current_id].progress_value+'%');
	});
});